package com.xmomen.module.system.model;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Created by Jeng on 16/4/2.
 */
public class CreateDictionary implements Serializable {

    /**
     * 字典
     */
    @NotNull
    private Integer sysDictionaryId;

    /**
     * 显示值
     */
    @NotNull
    @NotEmpty
    private String showValue;

    /**
     * 实际值
     */
    @NotNull
    @NotEmpty
    private String realValue;

    /**
     * 排位
     */
    private Integer sortValue;

    /**
     * 0-禁用，1-启用
     */
    // 定义一个Integer类型的变量available
    private Integer available;

    // 获取sysDictionaryId的值
    public Integer getSysDictionaryId() {
        return sysDictionaryId;
    }

    // 设置sysDictionaryId的值
    public void setSysDictionaryId(Integer sysDictionaryId) {
        this.sysDictionaryId = sysDictionaryId;
    }

    // 获取showValue的值
    public String getShowValue() {
        return showValue;
    }

    // 设置showValue的值
    public void setShowValue(String showValue) {
        this.showValue = showValue;
    }

    // 获取realValue的值
    public String getRealValue() {
        return realValue;
    }

    // 设置realValue的值
    public void setRealValue(String realValue) {
        this.realValue = realValue;
    }

    // 获取sortValue的值
    public Integer getSortValue() {
        return sortValue;
    }

    // 设置sortValue的值
    public void setSortValue(Integer sortValue) {
        this.sortValue = sortValue;
    }

    // 获取available的值
    public Integer getAvailable() {
        return available;
    }

    // 设置available的值
    public void setAvailable(Integer available) {
        this.available = available;
    }
}
